@import url("variables.css");

.ravioli-footer {
	padding-top: var(--wp--preset--spacing--7xl);
	padding-bottom: 0;
	overflow: hidden;
}

.ravioli-footer a{
	text-decoration: none;
}
.ravioli-footer a:hover{
	text-decoration: underline;
}

.ravioli-footer__tagline {
	margin: 0 auto var(--wp--preset--spacing--7xl) auto;
	line-height: 100px;
	text-align: right;
}

.ravioli-footer__tag {
	display: inline-block;
	line-height: 1;
	background-color: var(--wp--preset--color--vert);
	color: var(--wp--preset--color--blanc);
	padding: 8px 16px;
}

.ravioli-footer__tag--1 {
	transform: rotate(-12deg);
}

.ravioli-footer__row {
	align-items: flex-start !important;
	gap: var(--wp--preset--spacing--5xl);
	margin-bottom: var(--wp--preset--spacing--7xl);
}

.ravioli-footer__col-title {
	margin: 0 0 var(--wp--preset--spacing--medium);
	font-family: var(--wp--preset--font-family--sofia-pro);
}

.ravioli-footer__col--links,
.ravioli-footer__col--audition{
	flex-basis: 200px !important;
	align-self: stretch !important;
}
.ravioli-footer__col--legal{
	border-left: 1px solid var(--wp--preset--color--blanc);
	flex-basis: 450px !important;
	align-self: stretch !important;
	padding-left: calc((100% - ((200px * 2) + 450px)) / 3);
}

.ravioli-footer__links {
	list-style: none;
	margin: 0;
	padding: 0;
	display: flex;
	flex-direction: column;
	gap: var(--wp--preset--spacing--xs);
	font-size: var(--wp--preset--font-size--xs);
}

.ravioli-footer__links a {
	color: var(--wp--preset--color--blanc);
	text-decoration: none;
}

.ravioli-footer__links a:hover {
	text-decoration: underline;
}

.ravioli-footer__col--audition {
	flex: 0 0 auto;
}

.ravioli-footer__audition-image {
	margin: 0;
	max-width: 210px;
}

.ravioli-footer__audition-image img {
	display: block;
	width: 100%;
	height: auto;
}

.ravioli-footer__text {
	margin: 0 0 var(--wp--preset--spacing--medium);
	font-size: var(--wp--preset--font-size--xs);
	text-wrap: auto;
}

.ravioli-footer__text:last-child {
	margin-bottom: 0;
}

.ravioli-footer__text a {
	color: var(--wp--preset--color--blanc);
}

.ravioli-footer__bottom {
	position: relative;
	align-items: center;
	min-height: 170px;
	max-width: 100% !important;
	padding-top: var(--wp--preset--spacing--xl);
	padding-bottom: var(--wp--preset--spacing--xl);
}

.ravioli-footer__bottom::before {
	content: "";
	position: absolute;
	bottom: 0;
	right: 0;
	transform: translateX(24px);
	height: 141px;
	width: 522px;
	background-color: var(--wp--preset--color--blanc);
	clip-path: polygon( 0% 100%, 100% 0%, 100% 100% );
	pointer-events: none;
}

.ravioli-footer__legal-links {
	position: relative;
	z-index: 1;
	gap: var(--wp--preset--spacing--xl);
	justify-content: center;
    width: 100%;
}

.ravioli-footer__legal-text {
	margin: 0;
	font-size: var(--wp--preset--font-size--xs);
}

.ravioli-footer__legal-text a {
	color: var(--wp--preset--color--blanc);
}

.ravioli-footer__logo {
	position: absolute;
	bottom: 29px;
	right: 125px;
	z-index: 1;
	width: 170px;
	margin: 0;
}

.ravioli-footer__logo img {
	display: block;
	width: 100%;
	height: auto;
}

@media (max-width: 782px) {
	.ravioli-footer__col--legal {
		border-left: none;
		padding-left: 0;
	}
	.ravioli-footer__col--legal::before{
		content: "";
		display: block;
		width: 124px;
		height: 1px;
		background-color: var(--wp--preset--color--blanc);
		margin-bottom: var(--wp--preset--spacing--xl);
		margin-left: auto;
		margin-right: auto;
	}

	.ravioli-footer__bottom {
		flex-direction: column;
		align-items: flex-start;
		min-height: 0;
		padding-bottom: 130px;
	}

	.ravioli-footer__bottom::before {
		right: -60%;
	}

	.ravioli-footer__logo {
		align-self: flex-end;
		right: 0;
		bottom: 14px;
		max-width: 150px;
	}

	.ravioli-footer__tagline{
		font-size: var(--wp--preset--font-size--xxl) !important;
		line-height: 1.3;
		text-align: center;
	}
	.ravioli-footer__tag--1{
		margin-top: 24px;
		margin-bottom: 24px;
	}
	.ravioli-footer__col-title,
	.ravioli-footer__links li{
		text-align: center;
	}
	.ravioli-footer__audition-image{
		margin-left: auto;
		margin-right: auto;
	}
	.ravioli-footer__row{
		gap: var(--wp--preset--spacing--xl);
		margin-bottom: var(--wp--preset--spacing--xl);
	}
	.ravioli-footer__col--legal p{
		max-width: 80%;
		margin-left: auto;
		margin-right: auto;
		text-align: center;
	}
	.ravioli-footer__legal-links{
		flex-direction: column;
	}
}
